Loading...
Searching...
No Matches
emojidef.c File Reference

Emoji-related routine and data that are used internally. More...

`#include "emojidef.h"`
`#include "emojidata.c"`
`#include "unibreakdef.h"`
Include dependency graph for emojidef.c:

## Functions

bool | ub_is_extended_pictographic (utf32_t ch)
| Finds out if a codepoint is extended pictographic.

## Detailed Description

Emoji-related routine and data that are used internally.

Author
  Andreas Röver

## Function Documentation

## ub_is_extended_pictographic()

bool ub_is_extended_pictographic | ( | utf32_t | ch | ) |

Finds out if a codepoint is extended pictographic.

Parameters

  [in] | ch | character to check

Returns
  `true` if the codepoint is extended pictographic; `false` otherwise